/*
  Copyright 2017 Sun Jian
  <p>
  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at
  <p>
  http://www.apache.org/licenses/LICENSE-2.0
  <p>
  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.
 */
package io.flutter.plugins;

import io.flutter.app.FlutterPluginRegistry;
import io.flutter.plugin.common.EventChannel;

/**
 * @author: sunjian
 * created on: 2019/1/10 上午11:25
 * description: https://github.com/crazysunj/CrazyDaily
 */
public class FlutterRefreshEventPlugin {

    private static final String CHANNEL_NAME = "CrazyDaily/flutterRefresh";

    public static void registerWith(FlutterPluginRegistry pluginRegistry, String pageName, EventChannel.StreamHandler handler) {
        final String channelName = CHANNEL_NAME + "/" + pageName;
        final EventChannel channel = new EventChannel(pluginRegistry.registrarFor(channelName).messenger(), channelName);
        channel.setStreamHandler(handler);
    }
}
