/*
  Copyright 2017 Sun Jian
  <p>
  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at
  <p>
  http://www.apache.org/licenses/LICENSE-2.0
  <p>
  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.
 */
package com.crazysunj.domain.entity.zhihu;

import java.util.List;

/**
 * @author: sunjian
 * created on: 2017/8/31 上午9:34
 * description: https://github.com/crazysunj/CrazyDaily
 */
public class ZhihuNewsDetailEntity {


    /**
     * body : <div class="main-wrap content-wrap">
     * <div class="headline">
     * <p>
     * <div class="img-place-holder"></div>
     * <p>
     * <p>
     * <p>
     * </div>
     * <p>
     * <div class="content-inner">
     * <p>
     * <p>
     * <p>
     * <p>
     * <div class="question">
     * <h2 class="question-title">如何真正落实儿童保护，使其远离恋童癖的非法侵害？</h2>
     * <p>
     * <div class="answer">
     * <p>
     * <div class="meta">
     * <img class="avatar" src="http://pic3.zhimg.com/v2-1a387df5cb4e044a0f0fda236594ec62_is.jpg">
     * <span class="author">齐艳艳警官，</span><span class="bio">一切为了孩子</span>
     * </div>
     * <p>
     * <div class="content">
     * <p>大家好，我叫齐艳艳，是北京市公安局海淀分局未成年人案件审查队的一名民警，我们所负责的工作，主要是从事未成年人违法犯罪案件审理与未成年被侵害案件救助这两个大方面，能让每一个孩子健康、快乐的成长就是我们最大的心愿。</p>
     * <p>猥亵儿童罪，是指以刺激或满足性欲为目的，用性交以外的方法对儿童实施的淫秽行为。不满十四周岁的男童女童都可以作为本罪的受害人或猥亵对象。猥亵的手段如抠摸、舌舔、吸吮、亲吻、搂抱、手淫、鸡奸等行为。</p>
     * <p>强奸罪，是指违背妇女意志，使用暴力、胁迫或者其他手段，强行与妇女发生性交的行为，或者故意与不满 14 周岁的幼女发生性关系的行为。</p>
     * <p>在司法实践中，我们判断一个人是否犯有&ldquo;猥亵儿童罪&rdquo;，主要是看这个人是否实施了上述犯罪行为。这种犯罪行为，是嫌疑人客观实施的侵害行为，而犯罪人是否具有某种心理偏好，例如是否具有恋童癖，在司法实践中很难去甄别，在定罪量刑中也很难界定，这可能更倾向于心理学的问题，我不是心理学的专家，我也更愿意去聆听专家们对这个话题的讨论，也希望这种讨论能给我在以后的办案中，给予帮助。</p>
     * <p>术业有专攻，下面，我将结合我的特长和专业从五个方面，来跟大家讨论下<strong>如何保护未成年人，使其远离可能发生的性侵害。</strong></p>
     * <p>一、制度层面</p>
     * <p>为保障未成年人合法权益，我国有《中华人民共和国未成年人保护法》和《中华人民共和国预防未成年人犯罪法》两部专门法律，从家庭、学校、社会、司法等多方面具体规定了在保护未成年人方面的法律责任。这两部法，有效的保护了未成年人的合法权益，是保护未成年人的重要法律。结合我的办案经验，在实际生活中，仅仅依靠这两部法律，是不够的。例如在幼童受侵害的案件中，由于其本身的隐秘性，例如，亲属熟人之间作案，家庭中犯案，在我们的办理过程中，确实常常&ldquo;事出有因，查无实据&rdquo;，给案件的办理带来了很大难度。又比如说，校园欺凌案件，施暴方也往往是未成年，他们也是被保护的对象，在群众的严重，对施暴方的保护就是对被欺凌者的漠视，往往会引起舆论的热议。</p>
     * <p>立法层面的事情我们不去讨论，我对未成年的保护有些个人的想法，比如是否可以在我国建立专门的&ldquo;儿童社区提醒&rdquo;制度，对那些曾对幼童及未成年人实施过性侵害的犯罪人员在刑满释放之后，要求他们定期都必须到所居住地的公安机关登记，让公安机关对本辖区内居住有这类犯罪倾向的人群有一个掌握。同时，公安机关对辖区内的侵害儿童案件进行分析，得出案件高发的时间，地点，告知辖区内所在的学校、幼儿园、社区居委会等，这样，有助于家长和学校进行防范，明确知道自己的居住地附近哪些点位可能存在的安全隐患，并进行有针对性的防范，有效减少此类案件的发生。同时，对这类潜在危险人员，在刑满释放之后，由专业的医疗机构，对他们进行强制的精神鉴定与心理疏导，判断他们是否有再次犯罪的风险，评估他们的心理健康状态。当然，这是我个人的一些想法，肯定有不成熟的地方，有值得商榷的地方。但我们今天的讨论就是为了一起找到更好的解决问题的方法，我也算是抛砖引玉，欢迎拍砖啊！</p>
     * <p>二，把性安全教育课纳入义务教育，出版统一教材</p>
     * <p>教育手段是目前最为有效的儿童预防性侵的方法。我们国家对于未成年人的性教育，一直是比较重视的，我记得我小时候上过&ldquo;生理卫生课&rdquo;，其中老师讲过青春期性知识等，例如，女孩子月经的注意事项以及青春期性心理。学校的老师们，也都在用自己方式尝试着去对孩子们进行着教育，我记得今年上半年，曾有一本性教育教材还引起了大家的热议，这也是儿童性教育越来越引起大家关注的一个信号。但是，据我了解，目前我国，在九年义务教育中，还没有正式的&ldquo;性安全教育，很多老师都和我反应，不是不想给孩子们讲，是不知道该怎么讲，一个老师一个讲法，我们现在急需一系列包括儿童性教育等自我保护知识的专题教材或幼儿绘本，根据孩子的不同年龄的发育情况，开展适合其身心特点的性教育。</p>
     * <p>很多家长私底下和我说，齐警官，你让我和孩子去做性教育，说起来容易做起来难，给孩子做性教育是不是等于教给孩子怎么进行性行为呢？家长们，老师们羞于启齿，也没办法开口。孩子好奇心强，经常会冒出来很多例如，妈妈什么是怀孕，妈妈什么叫被强奸，还有我到底是怎么来到这个世界的，这个千古难题。因此，我觉得我除了在网上贴一些告诉家长应该如何去做帖子之外，更加有效也科学的方式是，在九年义务教育中，直接开设&ldquo;性安全教育课&rdquo;，其中把性安全教育作为一项重要内容，也可以加上防火教育、防诈骗教育、防拐卖教育。培养一批有着专业知识背景的老师，在师范类院校中，专门加入性教育专业，让老师们在上学的时候，就学会如何对孩子们进行性教育，培育这方面的专业人才。同时，不定期的邀请警察、检察官、法官、儿童心理专家、专业司法社工进校园进行法制安全教育及互动等，切实把&ldquo;性安全教育&rdquo;，这个我们既重视又觉得羞于启齿，我们既迫切的想让孩子们了解，但是又不知道该怎么去讲，怎么去说的问题，交给专业的性安全教育老师，和专门的性教育绘本及性安全教育教材，把这项课程切实落实到孩子的九年义务教育之中，通过科学的方法，让孩子们在课堂中学会自我保护知识。</p>
     * <p>在实际办案过程中，我们了解到，除了成年人对为未成年人的性侵之外，青春期的孩子因为性冲动，及缺乏科学的性教育，也会对同龄或者更低龄的孩子进行性侵，这类的情况，比起成年人对未成年人的性侵害，更加应该引起我们的重视。因为，在这类犯罪中，实施侵害的一方，本身也是未成年人，他在实施犯罪行为的同时，自己的心理也是需要专业心理辅导老师的矫正与帮助的，他们和那些被侵害的孩子们一样，都是需要专业的&ldquo;性安全教育课程&rdquo;。未成年人被性侵害，不是一个简单的犯罪问题，结合我们的司法实践，往往是伴有深层的原因的。我们的&ldquo;性安全教育&rdquo;必须具有专业的老师，专业的教材，针对不同年龄段的未成年人，既做到普及自我保护知识的作用，也要起到防范性犯罪的教育作用。让青春期的孩子明白，性不是一个神秘的事情，认识性，了解性，避免青春期过度期的侵害案件发生。科学有效的性教育，在预防未成年人被性侵这件事上，显得非常重要。</p>
     * <p>另外，也是有关学校，我们经常能在媒体上看到例如：&ldquo;某某学校校长性侵学生&hellip;&hellip;.&rdquo;这样让我们愤怒又难过的新闻，除了家庭、熟人以及朋辈群体间的性侵害，校园中的性侵害也时有发生，在这，我希望可以对学校的工作人员进行专业的心理评测，评测其是否具有恋童癖倾向，如果有的，坚决不允许进入学校及其他和未成年人有关的培训学习机构中工作，并且由政府对这类人进行专业的心理矫正与强制接受医学治疗以防止犯罪。</p>
     * <p>三、驻校&ldquo;司法社工&rdquo;的推广</p>
     * <p>司法社工，司法社会工作是指司法社会工作者综合运用社会工作专业知识和方法，为社区矫正对象、安置帮教对象及边缘青少年等弱势群体提供心理疏导、职业技能培训、就业安置等社会工作服务，以提升其自我机能、恢复和发展社会功能，最终达到预防犯罪、稳定社会秩序的专业服务过程。</p>
     * <p>这类具有专业背景的司法社工，可以在幼儿园、小学、中学、职专、大学提供学校社会工作服务，简称&ldquo;驻校司法社工&rdquo;。各国、各地区的经济社会结构，专业社会工作发展不同，解决问题的方法不同，因此人们对司法社会工作内涵的表述也有所不同。</p>
     * <p>驻校司法社工指专业社工长期进驻学校，根据学校常规教学时间周一至周五期间开展学校社会工作，以学生群体为主，协助学校开展德育教育和心理教育，同时为有需求的群体提供专业社工服务。与我们定期合作的司法社工，就是有着专业司法社工工作经验的团队，他们长期在学校中，和孩子们在一起，他们不是老师，不是家长，不是警察，他们不给孩子任何压力，孩子们可以像朋友一样和他们分享心里的想法，一旦有孩子向社工反应，或者社工发现孩子有被欺凌、被侵害情况发生，他们会第一时间向我们反应，我们第一时间介入调查。这就极大的减少了孩子们不敢告诉家长，老师，警察而导致被侵害的事情无处诉说的悲剧。</p>
     * <p>在我国，可能&ldquo;驻校司法社工&rdquo;还比较新鲜，对一般人而言是比较陌生的字眼，但这挡不住它的发展，因为学校还真的是需要司法社工。实践证明，他们也是我们司法机关保护孩子们的好伙伴、好帮手。</p>
     * <p>四、<strong>有关家长需要注意的事项<br />（防范方法与性侵害事件发生之后的处理程序）：</strong></p>
     * <p>家长是孩子最好的保护神，最贴心的人，更是最不愿意看到孩子被伤害的人。所以，在家里，家长们不要不好意思和孩子谈论&ldquo;性教育&rdquo;，家长要教孩子认识自己的身体，明确哪些隐私的部位是绝对不可以被人触碰的，哪些行为是绝对不可以有的。提醒孩子不要跟别人走，不仅仅是陌生人，熟悉的老师或者其他人，提出带我们去其他地方，都不要答应。如果我们确实因为有事，需要安排其他人去接触孩子，也要提前和孩子说明，哪些行为是可以被允许的，例如，牵着孩子的手过马路。哪些行为是不可以被允许的，要勇敢说：&ldquo;不！&rdquo;例如，你跟着叔叔去一个好玩的地方，叔叔给你买好吃的，你让叔叔看看你的隐私部位。这个时候就要学会拒绝，并且回家告诉爸爸妈妈。</p>
     * <p>告诉孩子，学会拒绝诱惑。好吃的，有意思的游戏等。要教育孩子，对待熟悉的人，也要有明确的界限。我们要告诉孩子，不可以替伤害我们的人保密，哪怕是亲人，老师也不行。还要告诉孩子，撒谎虽然是不对的，但是面对可能伤害我们，让我们觉得不舒服的人，是可以撒谎的，比如，当有人要带孩子去陌生的环境，可以对侵害人说：&ldquo;我妈妈去上厕所了，她马上就回来了或者我爸爸一会就来接我了，他让我在这里等他，我不去别的地方等&rdquo;，然后看准时机，趁机逃跑，并告诉家长。采取孩子易于接受的方式，向孩子传授心理健康知识，提高自我防范和保护意识。</p>
     * <p>　家长要注重培养孩子独立人格，教孩子要对他人的无理和奇怪要求坚决说&ldquo;不&rdquo;。我之前一直提倡，家长每天拿出&ldquo;5 分钟&rdquo;和孩子沟通，总有人问我 5 分钟够不够，其实这只是一个概念，在这，我希望家长要建立和孩子的沟通渠道，养成每天跟孩子交流的习惯，让孩子能敞开心扉，遇到问题时能第一时间告知家长。</p>
     * <p>比如，之前我就办理过一个案件，一个 5 岁的男孩，每天从幼儿园回家都会告诉妈妈幼儿园发生的事情，吃了什么好吃的，做了什么游戏，就是通过这种沟通他告诉妈妈，自己和小伙伴玩的时候，被坏人实施侵害的事情，他叙述的时候，完全没有意识到这种行为意味着什么。当时，这名孩子的妈妈，第一时间带着孩子找到我们报警，最后将伤害孩子的人绳之以法，而我们也请专业的儿童心理辅导老师，对孩子进行心理疏导，现在这个男孩和其他孩子没有任何不一样，已经成为了一个快乐的小学生。曾经发生的这件事，也没对孩子造成不良的影响。同时，当时，我们也聘请专业的心理辅导老师，对被侵害孩子的妈妈，进行了专业的心理疏导，帮助这个妈妈度过了最痛苦难过的那段日子。现在，孩子的妈妈还经常和我联系，她说如果当时没有我们的专业辅导，她不知道自己会变成什么样子。</p>
     * <p>因此，我们要做的，首先是预防性侵未成年人的情况发生，但是一旦发生，作为家长，也不要惊慌，首先要冷静下来，因为你的每一句话或者情绪，都可能影响到孩子的一生。</p>
     * <p>刚才，我除了谈家长应该在家里做些什么，应该怎么对孩子进行正确，有效的性安全教育之外，也用案例说明了一旦孩子发生了被侵害的情况需要注意的事情，在这我再强调一下：</p>
     * <p><strong>1、冷静！！</strong>这一点很重要，我接触的很多家长，都是家长在发现孩子被性侵之后，情绪失控，在网上自己披露孩子被性侵的经过或者寻求私利救济，导致孩子在被性侵害之后，心理受到严重的二次伤害。所以，我在这里强调，第一点就是要冷静。家长通过沟通，能及时了解到孩子一天都经历了什么事，接触了什么人。家长情绪要稳定，在孩子面前，哪怕你的心理再难受，也要稳住情绪，因为孩子对已经发生的性侵害可能由于年龄等认识程度，并不能完全意识到自己受到的伤害，但是往往是家长的呼天抢地，抱着孩子痛哭流涕，让孩子害怕，觉得好像是自己犯了很大的错误，心理会受到非常大的刺激，这就是我们家长认识的误区，其实未成年人被性侵害，家长的处理方式，往往对孩子的心理恢复有着至关重要的作用。</p>
     * <p><strong>2、</strong> 报警</p>
     * <p>这点不解释了，很多家长觉得孩子被性侵害了，是个&ldquo;丢人现眼&rdquo;的事情，决定把事情自己压下去，选择不报案，强迫孩子不许提被侵害的事情。这不但对孩子是很大的伤害，也放纵了那些伤害孩子的施害人。因此，我们在冷静的了解完事情经过之后，要带着孩子去最近的派出所，报警。或者拨打 110 报警电话对民警说明情况。在这里，切记一点：不要在报警之前带着孩子洗澡！！！！不要把孩子被侵害时候的衣服用品扔掉！！！！不要因为觉得心里无法忍受，而亲手毁了将伤害孩子的人绳之以法的关键证据，这些证据能让伤害孩子的去监狱里好好反省，所以记住以上几点！！！！</p>
     * <p>需要强调的是：如果孩子当时的身体已经被严重伤害，请先去医院就医，并告知医生发生了什么事情，同时拨打 110 报警电话，告诉警察，你和孩子在哪个医院，发生了什么事情。所有的一切，都没有孩子的生命健康安全重要，例如：孩子当时身体在流血，请第一时间带孩子去正规的大医院就医，保证孩子的生命健康安全。同时，第一时间拨打 110 报警。总之，一切都没有孩子的健康、安全重要！！！这要切记！！</p>
     * <p><strong>3、</strong> 就医</p>
     * <p>这点不详细解释了，在被侵害发生之后，第一时间报警，然后在民警的陪同下，去法医部门或者其他医院进行检查。让医生对孩子的身体损伤等情况，进行一个专业的鉴定与判断。这也是为了能将伤害孩子的人绳之以法的重要环节。</p>
     * <p><strong>4、</strong> 心理疏导</p>
     * <p>我办理的这么多未成年人案件中，心理疏导我们是一直坚持在做的，并且我们不会要求孩子在我们面前反复讲述被侵害的经过。而是第一时间交给专业的儿童心理机构的心理专家，对孩子及孩子的家长，进行及时、有效的心理疏导。通过治疗、访谈等专业干预，通过受害心理抚慰，帮助孩子建立更现实、更正面的自信，缓解侵害带来的痛苦，当然，前提是选择专业的心理辅导老师，我们在实际办案中，都有和专业指定心理辅导老师建立联系，让他们帮助孩子，及孩子的家长，度过最难过的日子，找回自信，重回阳光。</p>
     * <p>五、最后，我想谈谈对儿童被性侵害案件的过度曝光问题。</p>
     * <p>每次面对被伤害的孩子，我的心都非常难受。每次儿童被性侵害案事件被曝光，都会激起公众的愤慨，大家都希望能曝光实施侵害人，保护被侵害的孩子，在这一点上，我的观点是和大家一致的。但是这种曝光，是有前提的。</p>
     * <p>我认为，在发生儿童被性侵害的事件之后，我们首先要做的，是充分保护受害儿童的隐私权。而不是让事件在一夜之间变得街知巷闻。猥亵孩子的人固然可恨，但是直接把可能联想到孩子真实身份的具有情景性质的图片或者视频或者文字描述放在网上，我认为是不太合适的，我们在办理未成年人被性侵害的案件的时候，法庭都是不公开审理的，就是为了最大程度的减轻对被侵害孩子的二次伤害。</p>
     * <p>《未成年人保护法》第三十九条规定，任何组织和个人不得私自开拆或查看未成年人的信件、日记、电子邮件、网上聊天记录、手机短信等个人信息，不得披露未成年人的个人隐私。即使使用了化名，使用了马赛克，对受害儿童的心灵所造成的伤害也还是存在的。仅仅凭借化名和马赛克这些措施来保护受害儿童的隐私权远远不够。在案件发生之后，在公安机关立案侦查以后，媒体更应该做的，是避免过度曝光，尽力保护受害儿童的隐私权。相信公检法部门，会有公正的处理，会为被侵害的孩子主持公道，我们的关心与关注是好的，但是一定要注意，不要让受害儿童幼小的心灵受到二次的伤害。在这，我替孩子们，谢谢广大的媒体朋友和关心孩子们健康成长的热心公众。</p>
     * <p>让我们心痛的悲剧如果已经发生，整个社会应当共同努力，保护孩子的隐私，相信公检法部门会还受害者以公道，同时家长们也要进行必要的心理辅导，在专业心理老师的帮助下，和孩子一起尽可能的平复被侵害的伤口。最后，我祝愿每一个未成年人，都能健康、快乐的成长，都能远离任何不法侵害！也感谢每一个关心未成年人健康成长的网友朋友们，正是有了正义善良的你们，我们的孩子才会生活的更加美好。因个人专业领域及知识水平所限，欢迎大家对我的回答提出好的意见或者建议。作为一名专职处理未成年人违法犯罪及救助被侵害未成年人的公安民警，我和我的同事们将会更加努力，为了祖国的明天，为了孩子们，不懈努力。</p>
     * </div>
     * </div>
     * <p>
     * <p>
     * <div class="view-more"><a href="http://www.zhihu.com/question/63024332">查看知乎讨论<span class="js-question-holder"></span></a></div>
     * <p>
     * </div>
     * <p>
     * <p>
     * <p>
     * <p>
     * <p>
     * <div class="question">
     * <h2 class="question-title"></h2>
     * <p>
     * <div class="answer">
     * <p>
     * <div class="content">
     * <p>更多讨论，查看<span class="s1">&nbsp;</span>知乎圆桌<span class="s1">&nbsp;&middot;&nbsp;</span><a class="internal" href="https://www.zhihu.com/roundtable/etxq">向儿童性侵「说不」</a></p>
     * </div>
     * </div>
     * <p>
     * <p>
     * </div>
     * <p>
     * <p>
     * </div>
     * </div>
     * image_source : 《素媛》
     * title : 作为一名人民警察，我来讲讲如何让孩子真正远离性侵的「魔爪」
     * image : https://pic4.zhimg.com/v2-d60328c3b93e56c20b561aa874aa012b.jpg
     * share_url : http://daily.zhihu.com/story/9594997
     * js : []
     * ga_prefix : 083019
     * images : ["https://pic3.zhimg.com/v2-2c4233255c4749048bf27d09f04b3e56.jpg"]
     * type : 0
     * id : 9594997
     * css : ["http://news-at.zhihu.com/css/news_qa.auto.css?v=4b3e3"]
     */

    private String body;
    private String image_source;
    private String title;
    private String image;
    private String share_url;
    private String ga_prefix;
    private int type;
    private long id;
    private List<String> js;
    private List<String> images;
    private List<String> css;

    public String getBody() {
        return body;
    }

    public void setBody(String body) {
        this.body = body;
    }

    public String getImage_source() {
        return image_source;
    }

    public void setImage_source(String image_source) {
        this.image_source = image_source;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getImage() {
        return image;
    }

    public void setImage(String image) {
        this.image = image;
    }

    public String getShare_url() {
        return share_url;
    }

    public void setShare_url(String share_url) {
        this.share_url = share_url;
    }

    public String getGa_prefix() {
        return ga_prefix;
    }

    public void setGa_prefix(String ga_prefix) {
        this.ga_prefix = ga_prefix;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public List<String> getJs() {
        return js;
    }

    public void setJs(List<String> js) {
        this.js = js;
    }

    public List<String> getImages() {
        return images;
    }

    public void setImages(List<String> images) {
        this.images = images;
    }

    public List<String> getCss() {
        return css;
    }

    public void setCss(List<String> css) {
        this.css = css;
    }
}
